using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Core;

[ComImport]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(1)]
[Guid("256DF70B-0B87-45E4-96EE-043E2254CC95")]
public interface IIdentifyFilter
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	void AddToQueue([In] int lObjectID);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	void ShortcircuitID([In] int lObjectID);
}
